# $Revision: 1.16 $, $Date: 2012/02/11 20:40:10 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Config
%define		pnam	Auto
Summary:	Config::Auto - magical config file parser
Summary(pl.UTF-8):	Config::Auto - magiczny parser plików konfiguracyjnych
Name:		perl-Config-Auto
Version:	0.42
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Config/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	baa0907e5c79c0bf8c91cfe8b56577de
URL:		http://search.cpan.org/dist/Config-Auto/
%if %{with tests}
BuildRequires:	perl-Config-IniFiles
BuildRequires:	perl-IO-String
BuildRequires:	perl-YAML
%endif
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Magical config file parser.

%description -l pl.UTF-8
Magiczny parser plików konfiguracyjnych.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL -x \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/Config/Auto.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Config-Auto.spec,v $
Revision 1.16  2012/02/11 20:40:10  zbyniu
- up to 0.42

Revision 1.15  2012/01/14 00:34:09  zbyniu
- up to 0.38

Revision 1.14  2007/12/26 22:06:02  zbyniu
- up to 0.20

Revision 1.13  2007-02-13 07:16:53  glen
- tabs in preamble

Revision 1.12  2007/02/12 00:49:26  baggins
- converted to UTF-8

Revision 1.11  2006/07/26 19:23:06  glen
- generic URL

Revision 1.10  2006/07/09 14:32:17  agaran
- up to 0.18, rel 1, builds here

Revision 1.9  2006/02/26 21:15:29  agaran
- autoupdated to 0.16

Revision 1.8  2004/12/01 12:29:37  radek
- autoupdated to 0.11

Revision 1.7  2004/11/03 22:30:11  paladine
- formatting

Revision 1.6  2004/08/22 08:57:35  adamg
- updated to 0.10

Revision 1.5  2004/05/30 13:16:51  ankry
- fixed BR, added -x to Makefile.PL, cosmetics

Revision 1.4  2004/04/18 22:17:09  ankry
- license fixes and cosmetics

Revision 1.3  2004/04/14 11:42:38  ankry
- caps and other cosmetics

Revision 1.2  2004/03/04 19:37:35  qboosh
- pl

Revision 1.1  2004/03/04 10:47:53  migo
- initial revision, vague description
